# Gimp.enum_get_value

    @accepts(GType, int, unicode, unicode, unicode, unicode)
    @returns(bool)
    def enum_get_value(enum_type, value, value_name, value_nick, value_desc, value_help):
        # Python wrapper for gimp_enum_get_value()

Checks if value is valid for the enum registered as enum_type. If the value exists in that enum, its name, nick and its translated description and help are returned (if value_name, value_nick, value_desc and value_help are not None).

Since 2.2

enum_type

  the GLib.Type of a registered enum

value

  an integer value

value_name

  return location for the value's name, or None

value_nick

  return location for the value's nick, or None

value_desc

  return location for the value's translated description, or None

value_help

  return location for the value's translated help, or None

Returns